package de.duehl.basics.start;

/*
 * Copyright 2024 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

import de.duehl.basics.io.FileHelper;
import de.duehl.basics.io.zip.UnzipWith7ZipDirectProgramStart;

public class Testing7ZipUnzipping5WithDirectProgramStartAndWhitespaces {

    public static void main(String[] args) {
        /*
         * Das funktioniert leider nicht ...
         */
        String dir = "c:\\temp\\zipping_test5 mit Leerzeichen";

        String zipFilename = FileHelper.concatPathes(dir,
                "daten mit Leerzeichen von Hand mit 7zip verpackt.zip");

        String targetDir = FileHelper.concatPathes(dir, "entpackTestProgrammOhnePasswort");
        FileHelper.createDirectoryIfNotExists(targetDir);

        String sevenZipExecutable = FileHelper.concatPathes(dir, "7-Zip mit Leerzeichen\\7z.exe");
        UnzipWith7ZipDirectProgramStart unzip = new UnzipWith7ZipDirectProgramStart(
                sevenZipExecutable);
        //unzip.cypher("Geheim");
        unzip.unzip(zipFilename, targetDir);
    }

}
